## dnssec-tools 1.7

=== tools/demos/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2009 SPARTA, Inc.  All rights reserved.
+# Copyright 2009-2010 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -7,6 +7,7 @@
 
 SUBDIRS =	rollerd-basic		\
 		rollerd-manyzones	\
+		rollerd-manyzones-fast	\
 		rollerd-subdirs
 
 all:
