=== tools/demos/rollerd-manyzones/Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #
 # Makefile for building demo data for the many-zones rollerd demo.
 #
+
+all: many-zones-rollerd
 
 many-zones-rollerd:	clean pristine-files zones-short
 
@@ -19,6 +21,7 @@
 	cp save-yowzah.com yowzah.com
 	cp save-zero.com zero.com
 	phaser demo.rollrec
+	phaser demo-smallset.rollrec
 
 zones-short:
 	zonesigner -zsklife 15 -e +25 -genkeys dummy.com
@@ -35,3 +38,4 @@
 	rm -f db.cache demo.rollrec demo-smallset.rollrec
 	@echo NOT deleting log.demo
 	@echo ' '
+
