=== debian/changelog ===
dnssec-tools (1.7-3) unstable; urgency=high

  * Fix checks for System return value (Closes: #610369)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Jan 2011 11:12:25 +0100

dnssec-tools (1.7-2) unstable; urgency=low

  * Use parentheses around PERLARGS
  * Update path in defaults.pm to /usr/sbin (Closes: #590171)
  * Remove /usr/bin from installation

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 Aug 2010 17:35:07 +0200

dnssec-tools (1.7-1) unstable; urgency=low

  * New Upstream version 1.7 (Closes: #588816)
  * Acknowledge NMU (Closes: #587611)
  * Convert to 3.0 (quilt) source package format
  * Check for errors in every System() call (Closes: #588821)
  * Add some upstream distribution patches (Closes: #587030)
  * Update dnssec-tools configuration to 1.7
  * Depend only on bind9utils, move bind9 to Recommends
    (Closes: #588521)
  * Install scripts to /usr/sbin (Closes: #587614)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Jul 2010 14:15:06 +0200

dnssec-tools (1.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - set "--localstatedir=/var/lib/dnssec-tools" to fix FHS violation
     (Closes: #587611, #587616)

 -- Hideki Yamane <henrich@debian.org>  Fri, 02 Jul 2010 16:33:24 +0900

dnssec-tools (1.5-1) unstable; urgency=low

  * New Upstream Version (Closes: #533034)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Aug 2009 19:11:29 +0200

dnssec-tools (1.4.1-2) unstable; urgency=low

  * debian/patches/02_honor_zcopts.dpatch
    - make zonesigner honor zopts after signing zone
  * debian/patches/03_disable_presigned.dpatch
    - disable presigned check, zone resigning is valid
      (option would be better, but we are disabling it for now)
  * debian/patches/04_serialincr.dpatch
    - make serial increase work for one-line SOA without parentheses

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Oct 2008 12:43:56 +0200

dnssec-tools (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #492895)
  * Use customized dnssec-tools.conf.
  * Extra install of dnssec-tools.conf and blinkenlights.conf man pages.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Aug 2008 19:34:42 +0200
