=== debian/control ===
Source: dnssec-tools
Section: net
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	       quilt (>= 0.46-7~),
	       autotools-dev,
	       hardening-wrapper
Build-Depends-Indep: perl (>= 5.8.8-12)
Standards-Version: 3.9.0
Homepage: http://www.dnssec-tools.org/

Package: dnssec-tools
Architecture: all
Depends: ${perl:Depends},
	 ${misc:Depends},
	 libnet-dns-sec-perl,
	 libnet-dns-perl,
	 libtimedate-perl,
	 bind9utils (>= 9.7)
Recommends: bind9
Description: DNSSEC tools, applications and wrappers
 The goal of the DNSSEC-Tools project is to create a set of tools,
 patches, applications, wrappers, extensions, and plugins that will
 help ease the deployment of DNSSEC-related technologies.
 .
 This package contains tools to maintain DNSSEC enabled zone files,
 i.e. generate DNSSEC keys, sign zone files and publish them to DNS.
