## dnssec-tools 1.9

=== tools/demos/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2009-2010 SPARTA, Inc.  All rights reserved.
+# Copyright 2009-2011 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -8,7 +8,9 @@
 SUBDIRS =	rollerd-basic		\
 		rollerd-manyzones	\
 		rollerd-manyzones-fast	\
-		rollerd-subdirs
+		rollerd-split-view	\
+		rollerd-subdirs		\
+		rollerd-vastzones
 
 all:
 	@for i in $(SUBDIRS);		\
