=== debian/changelog ===
dnssec-tools (1.9-1) unstable; urgency=low

  * Imported Upstream version 1.9
  * Refreshed patches for new upstream release
  * Enable BIND9 utilities configure checks
  * Enable NSEC3 support
  * Enable IPv6 support
  * Update configuration file by running dtinitconf (Closes: #610813)
  * Add libmailtools-perl dependency for rollerd
  * Create /var/log/dnssec-tools/rollerd.log log file
  * Remove all log files from /var/log/dnssec-tools/ on purge
  * Add a logrotate configuration for /var/log/dnssec-tools/*.log
    (Closes: #590289)
  * Install rollerd init script and /etc/dnssec-tools/rollerd.conf
    (Closes: #589335)
  * Bump standards version to 3.9.2

 -- Ondřej Surý <ondrej@debian.org>  Sat, 07 May 2011 20:18:39 +0200

dnssec-tools (1.8-1) unstable; urgency=low

  * Imported Upstream version 1.8
  * Refreshed patches to new upstream version
  * Move donutsd temporary directory to /var/cache/dnssec-tools/donutsd
    (Closes: #587031)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Jan 2011 15:35:55 +0100
