=== debian/control ===
--- 
+++ 
@@ -5,9 +5,13 @@
 Build-Depends: debhelper (>= 7.0.50~),
 	       quilt (>= 0.46-7~),
 	       autotools-dev,
+	       autoconf,
+	       automake,
+	       libtool,
+	       bind9utils (>= 9.7),
 	       hardening-wrapper
 Build-Depends-Indep: perl (>= 5.8.8-12)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://www.dnssec-tools.org/
 
 Package: dnssec-tools
@@ -17,6 +21,7 @@
 	 libnet-dns-sec-perl,
 	 libnet-dns-perl,
 	 libtimedate-perl,
+	 libmailtools-perl,
 	 bind9utils (>= 9.7)
 Recommends: bind9
 Description: DNSSEC tools, applications and wrappers
