=== debian/changelog ===
dnssec-tools (1.11-1) unstable; urgency=low

  * Update Vcs-* links
  * Imported Upstream version 1.11
  * Update patches to the new release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Oct 2011 09:44:33 +0200
