## dnssec-tools 1.13

=== tools/demos/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2009-2011 SPARTA, Inc.  All rights reserved.
+# Copyright 2009-2012 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -10,7 +10,10 @@
 		rollerd-manyzones-fast	\
 		rollerd-split-view	\
 		rollerd-subdirs		\
-		rollerd-vastzones
+		rollerd-vastzones	\
+		rollerd-zonegroups
+
+default:	clean
 
 all:
 	@for i in $(SUBDIRS);		\
@@ -31,4 +34,3 @@
 		make $(MAKE_ARGS) $@;	\
 		cd ..;			\
 	done
-
