=== tools/demos/rollerd-manyzones-fast/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2010-2011 SPARTA, Inc.  All rights reserved.
+# Copyright 2010-2012 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the many-zones-fast rollerd demo.
@@ -11,7 +11,6 @@
 
 pristine-files:
 	cp save-demo.rollrec demo.rollrec
-	cp save-db.cache db.cache
 	cp save-dummy.com dummy.com
 	cp save-example.com example.com
 	cp save-test.com test.com
@@ -22,7 +21,7 @@
 	phaser demo.rollrec
 
 zones-short:
-	zonesigner -zsklife 15 -e +25 -genkeys dummy.com
+	zonesigner -zsklife 15 -e 25 -genkeys dummy.com
 	zonesigner -zsklife 15 -genkeys example.com
 	zonesigner -zsklife 15 -genkeys test.com
 	zonesigner -zsklife 15 -genkeys woof.com
@@ -33,7 +32,7 @@
 clean:
 	rm -f K* db.* dsset-* keyset-* *.krf *.signed
 	rm -f dummy.com example.com test.com woof.com xorn.com yowzah.com zero.com
-	rm -f db.cache demo.rollrec
+	rm -f demo.rollrec
 	@echo NOT deleting log.demo
 	@echo ' '
