=== tools/demos/rollerd-split-view/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2007-2011 SPARTA, Inc.  All rights reserved.
+# Copyright 2007-2012 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -24,8 +24,8 @@
 	phaser demo.rollrec
 
 zones-short:
-	cd ${DIREXOUT} ; zonesigner -krf example.com.krf -zone example.com -zsklife 60 -genkeys example.com
-	cd ${DIREXIN} ; zonesigner -krf inside.example.com.krf -zone example.com -zsklife 30 -e +25 -genkeys inside.example.com
+	cd ${DIREXOUT} ; zonesigner -krf example.com.krf -zone example.com -zsklife 90 -genkeys example.com
+	cd ${DIREXIN} ; zonesigner -krf inside.example.com.krf -zone example.com -zsklife 60 -e now+25 -genkeys inside.example.com
 	zonesigner -zsklife 30 -genkeys test.com
 
 clean:
