=== debian/changelog ===
dnssec-tools (1.13-1) unstable; urgency=low

  * Imported Upstream version 1.13
  * Adapt patches for new upstream release

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jun 2012 12:23:52 +0200

dnssec-tools (1.12.1-1) unstable; urgency=low

  * Imported Upstream version 1.12.1
  * Update patches to 1.12.1 release

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Apr 2012 09:52:55 +0200
