=== tools/demos/dtrealms-basic/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2012-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic dtrealms demo.
