=== tools/demos/rollerd-manyzones-fast/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2010-2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2010-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the many-zones-fast rollerd demo.
@@ -21,13 +21,13 @@
 	phaser demo.rollrec
 
 zones-short:
-	zonesigner -zsklife 15 -e 25 -genkeys dummy.com
-	zonesigner -zsklife 15 -genkeys example.com
-	zonesigner -zsklife 15 -genkeys test.com
-	zonesigner -zsklife 15 -genkeys woof.com
-	zonesigner -zsklife 15 -genkeys xorn.com
-	zonesigner -zsklife 15 -genkeys yowzah.com
-	zonesigner -zsklife 15 -genkeys zero.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys dummy.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys example.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys test.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys woof.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys xorn.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys yowzah.com
+	zonesigner -ksklife 15 -zsklife 15 -genkeys zero.com
 
 clean:
 	rm -f K* db.* dsset-* keyset-* *.krf *.signed
