=== debian/changelog ===
dnssec-tools (2.0-1) unstable; urgency=low

  * New upstream version 2.0
  * Update patches for 2.0 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Jul 2013 13:38:11 +0200
