=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
 Build-Depends-Indep: perl (>= 5.8.8-12)
 Standards-Version: 3.9.2
 Homepage: http://www.dnssec-tools.org/
+Vcs-Browser: http://git.debian.org/?p=users/ondrej/dnssec-tools.git
+Vcs-Git: git://git.debian.org/users/ondrej/dnssec-tools.git
 
 Package: dnssec-tools
 Architecture: all
