=== debian/rules ===
--- 
+++ 
@@ -27,11 +27,15 @@
 	dh --with quilt $@
 
 override_dh_auto_configure:
+	autoreconf -fi
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" dh_auto_configure -- \
 		--without-validator \
+		--with-ipv6 \
+		--with-nsec3 \
+		--enable-bind-checks \
 		--sysconfdir=/etc \
 		--with-perl-build-args="$(PERLINSTALLVENDOR)" \
-                --localstatedir=/var/lib/dnssec-tools
+                --localstatedir=/var
 
 override_dh_auto_install:
 	dh_auto_install
@@ -41,5 +45,9 @@
 
 	install -m 640 $(CURDIR)/tools/etc/dnssec-tools/blinkenlights.conf $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
 	install -m 640 $(CURDIR)/debian/dnssec-tools.conf $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
+	install -m 640 $(CURDIR)/debian/dnssec-tools.rollrec $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
 	pod2man --section 5 $(CURDIR)/tools/etc/dnssec-tools/blinkenlights.conf.pod > $(CURDIR)/debian/dnssec-tools/usr/share/man/man5/blinkenlights.conf.5
 	pod2man --section 5 $(CURDIR)/tools/etc/dnssec-tools/dnssec-tools.conf.pod > $(CURDIR)/debian/dnssec-tools/usr/share/man/man5/dnssec-tools.conf.5
+
+override_dh_installinit:
+	dh_installinit --name=rollerd
