## dnssec-tools 2.1

=== debian/changelog ===
dnssec-tools (2.1-1) unstable; urgency=medium

  * New upstream version 2.1
  * Update patches for 2.1 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Oct 2014 15:56:08 +0200

dnssec-tools (2.0-2) unstable; urgency=medium

  * Add perl-tk to Recommends to make 'rollctl -display' work (Closes: 752091)
  * Switch to debhelper 9 dpkg-buildflags from hardening-wrapper

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jun 2014 10:19:12 +0200
