## dnssec-tools 2.2

=== tools/demos/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2009-2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2009-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
