=== tools/demos/rollerd-basic/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2007-2012 SPARTA, Inc.  All rights reserved.
+# Copyright 2007-2013 SPARTA, Inc.  All rights reserved.
 # See the COPYING file included with the DNSSEC-Tools package for details.
 #
 # Makefile for building demo data for the basic rollerd demo.
@@ -27,10 +27,10 @@
 
 zones-short:
 	zonesigner -zsklife 30 -genkeys example.com
-	zonesigner -zsklife 30 -e now+25 -genkeys test.com
+	zonesigner -zsklife 30 -e +25 -genkeys test.com
 
 #	zonesigner -zsklife 30 -kskdirectory /tmp/e-ksk -zskdirectory /tmp/e-zsk -genkeys example.com
-#	zonesigner -zsklife 30 -e now+25 -kskdirectory /tmp/t-ksk -zskdirectory /tmp/t-zsk -genkeys test.com
+#	zonesigner -zsklife 30 -e +25 -kskdirectory /tmp/t-ksk -zskdirectory /tmp/t-zsk -genkeys test.com
 
 zones-same:
 	zonesigner -zsklife 30 -genkeys example.com
@@ -38,7 +38,7 @@
 
 zones-long:
 	zonesigner -zsklife 7200 -genkeys example.com
-	zonesigner -zsklife 3600 -e now+25 -genkeys test.com
+	zonesigner -zsklife 3600 -e +25 -genkeys test.com
 
 
 long:	clean zones-long new-files
