=== debian/changelog ===
dnssec-tools (2.2-2) unstable; urgency=medium

  * Remove building of bundled ZoneFile-Fast
  * Fix a crash in rollctl (Courtesy of Christoph Martin)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Jan 2016 13:25:08 +0100

dnssec-tools (2.2-1) unstable; urgency=medium

  * Imported Upstream version 2.2
  * Update d/control for pkg-dns packaging group
  * Rebase patches on top of 2.2 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Jan 2016 09:59:24 +0100

dnssec-tools (2.1-2) unstable; urgency=medium

  * (B-)Depend on packaged Net::DNS::ZoneFile::Fast instead of bundling it

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Oct 2014 14:24:30 +0200
