=== debian/control ===
Source: dnssec-tools
Section: net
Priority: extra
Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
	       dh-autoreconf,
	       autotools-dev,
	       bind9utils (>= 9.7)
Build-Depends-Indep: perl (>= 5.8.8-12),
		     libnet-dns-perl,
		     libnet-dns-zonefile-fast-perl
Standards-Version: 3.9.6
Homepage: http://www.dnssec-tools.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/dnssec-tools.git
Vcs-Git: git://anonscm.debian.org/pkg-dns/dnssec-tools.git

Package: dnssec-tools
Architecture: all
Depends: ${perl:Depends},
	 ${misc:Depends},
	 libnet-dns-sec-perl,
	 libnet-dns-perl,
	 libnet-dns-zonefile-fast-perl,
	 libtimedate-perl,
	 libmailtools-perl,
	 bind9utils (>= 9.7)
Recommends: bind9, perl-tk
Description: DNSSEC tools, applications and wrappers
 The goal of the DNSSEC-Tools project is to create a set of tools,
 patches, applications, wrappers, extensions, and plugins that will
 help ease the deployment of DNSSEC-related technologies.
 .
 This package contains tools to maintain DNSSEC enabled zone files,
 i.e. generate DNSSEC keys, sign zone files and publish them to DNS.
