=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 
 export DEB_BUILD_HARDENING=1
 
-CFLAGS=-Wall -Wextra -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
-CPPFLAGS=-D_XOPEN_SOURCE=600 
+export DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra -g $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
+export DEB_CPPFLAGS_MAINT_APPEND = -D_XOPEN_SOURCE=600
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 PERLINSTALLVENDOR=INSTALLDIRS=vendor INSTALLVENDORSCRIPT=/usr/sbin INSTALLVENDORBIN=/usr/sbin INSTALLVENDORARCH=/usr/share/perl5/ VENDORARCHEXP=/usr/share/perl5/ VENDORPREFIX=/usr
 
@@ -24,11 +25,10 @@
 #}}}
 
 %:
-	dh --with quilt $@
+	dh $@ --with autoreconf,autotools-dev
 
 override_dh_auto_configure:
-	autoreconf -fi
-	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" dh_auto_configure -- \
+	dh_auto_configure -- \
 		--without-validator \
 		--with-ipv6 \
 		--with-nsec3 \
@@ -39,9 +39,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rmdir $(CURDIR)/debian/dnssec-tools/usr/lib \
-	      $(CURDIR)/debian/dnssec-tools/usr/bin \
-	      $(CURDIR)/debian/dnssec-tools/usr/include
+	rm -rf $(CURDIR)/debian/dnssec-tools/usr/lib \
+	       $(CURDIR)/debian/dnssec-tools/usr/bin \
+	       $(CURDIR)/debian/dnssec-tools/usr/include
 
 	install -m 640 $(CURDIR)/tools/etc/dnssec-tools/blinkenlights.conf $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
 	install -m 640 $(CURDIR)/debian/dnssec-tools.conf $(CURDIR)/debian/dnssec-tools/etc/dnssec-tools/
